Apache JMeter

## org.apache.jmeter.gui.action
Class KeyStrokes

    java.lang.Object
      org.apache.jmeter.gui.action.KeyStrokes

    public final class KeyStrokes

extends Object

Field Summary
`static KeyStroke` `ACTION_SHUTDOWN`
`static KeyStroke` `ACTION_START`
`static KeyStroke` `ACTION_STOP`
`static KeyStroke` `CLEAR`
`static KeyStroke` `CLEAR_ALL`
`static KeyStroke` `CLOSE`
`static KeyStroke` `COLLAPSE_ALL`
`static KeyStroke` `COPY`
`static KeyStroke` `CUT`
`static KeyStroke` `DEBUG_OFF`
`static KeyStroke` `DEBUG_ON`
`static KeyStroke` `EXIT`
`static KeyStroke` `EXPAND_ALL`
`static KeyStroke` `FUNCTIONS`
`static KeyStroke` `HELP`
`static KeyStroke` `OPEN`
`static KeyStroke` `PASTE`
`static KeyStroke` `REMOTE_SHUT_ALL`
`static KeyStroke` `REMOTE_START_ALL`
`static KeyStroke` `REMOTE_STOP_ALL`
`static KeyStroke` `REMOVE`
`static KeyStroke` `SAVE`
`static KeyStroke` `SAVE_ALL_AS`
`static KeyStroke` `SAVE_GRAPHICS`
`static KeyStroke` `SAVE_GRAPHICS_ALL`
`static KeyStroke` `SSL_MANAGER`
`static KeyStroke` `TOGGLE`
`static KeyStroke` `WHAT_CLASS`

Method Summary
`static boolean` `matches(KeyEvent e, KeyStroke k)` Check if an event matches the KeyStroke definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPY

    public static final KeyStroke COPY

### DEBUG_OFF

    public static final KeyStroke DEBUG_OFF

### DEBUG_ON

    public static final KeyStroke DEBUG_ON

### CLEAR_ALL

    public static final KeyStroke CLEAR_ALL

### CLEAR

    public static final KeyStroke CLEAR

### FUNCTIONS

    public static final KeyStroke FUNCTIONS

### SAVE_GRAPHICS

    public static final KeyStroke SAVE_GRAPHICS

### SAVE_GRAPHICS_ALL

    public static final KeyStroke SAVE_GRAPHICS_ALL

### HELP

    public static final KeyStroke HELP

### CLOSE

    public static final KeyStroke CLOSE

### SSL_MANAGER

    public static final KeyStroke SSL_MANAGER

### OPEN

    public static final KeyStroke OPEN

### EXIT

    public static final KeyStroke EXIT

### ACTION_START

    public static final KeyStroke ACTION_START

### REMOTE_START_ALL

    public static final KeyStroke REMOTE_START_ALL

### SAVE

    public static final KeyStroke SAVE

### SAVE_ALL_AS

    public static final KeyStroke SAVE_ALL_AS

### TOGGLE

    public static final KeyStroke TOGGLE

### PASTE

    public static final KeyStroke PASTE

### WHAT_CLASS

    public static final KeyStroke WHAT_CLASS

### CUT

    public static final KeyStroke CUT

### REMOTE_STOP_ALL

    public static final KeyStroke REMOTE_STOP_ALL

### REMOTE_SHUT_ALL

    public static final KeyStroke REMOTE_SHUT_ALL

### REMOVE

    public static final KeyStroke REMOVE

### ACTION_STOP

    public static final KeyStroke ACTION_STOP

### ACTION_SHUTDOWN

    public static final KeyStroke ACTION_SHUTDOWN

### COLLAPSE_ALL

    public static final KeyStroke COLLAPSE_ALL

### EXPAND_ALL

    public static final KeyStroke EXPAND_ALL

Method Detail

### matches

    public static boolean matches(KeyEvent e,
                                  KeyStroke k)

  Check if an event matches the KeyStroke definition.

  Parameters:
    `e` - event
    `k` - keystroke
  Returns:
    true if event matches the keystroke definition

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.